Subject: Re: bug#762: Debian removed essential startup scripts

From: Mark Hindley <[email-masked]>
Date: Tue, 20 Jun 2023 12:17:51 +0100

Klaus,

Could you please clarify the boot failure mode caused by the initscript
removal. We are pursuing this in Debian, but lorenzo has just pointed out that

On Tue, Jun 20, 2023 at 12:18:47PM +0200, lorenzo wrote:                                                                                                   
> Can you elaborate on this? I may be wrong, but I don't understand how the
> removal of mdadm script can render the system unbootable: the script runs
> mdadm in monitor mode and starts in runlevel 2. There is no script (removed)
> in runlevel S, I suspect a fail to boot will involve a problem in the kernel
> or in udev rules (that are still there)?

I have had a quick look and agree.

Is there some other change that has caused this? Or has the initramfs
integration broken. Have you edited the runlevels of the original initscripts?

Best wishes

Mark
-- 
Mark Hindley
GPG: 506C 15A4 2B0A F5A0 A854  23EE D28A 45BF 3287 D649